Skip to main content

Organizations Actions

https://api.losant.com/orgs

Below are the various requests that can be performed against the Organizations resource, as well as the expected parameters and the potential responses.

Get​

Returns the organizations associated with the current user

Method And Url​

GET https://api.losant.com/orgs

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, all.User.bounded, all.User.read, only.User, only.User.bounded, only.User.read, orgs.*, or orgs.get.

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: name, id, creationDate, lastUpdatednamesortField=name
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: namefilterField=name
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=my*org
summaryExcludeNComma-separated list of summary fields to exclude from org summariessummaryExclude=payloadCount
summaryIncludeNComma-separated list of summary fields to include in org summarysummaryInclude=payloadCount

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/orgs

Successful Responses​

CodeTypeDescription
200OrganizationsCollection of organizations

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Post​

Create a new organization

Method And Url​

POST https://api.losant.com/orgs

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, all.User.bounded, only.User, only.User.bounded, orgs.*, or orgs.post.

Request Query Parameters​

NameRequiredDescriptionDefaultExample
summaryExcludeNComma-separated list of summary fields to exclude from org summarysummaryExclude=payloadCount
summaryIncludeNComma-separated list of summary fields to include in org summarysummaryInclude=payloadCount

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Organization Post schema. For example, the following would be a valid body for this request:

{
"name": "My New Organization",
"description": "Description of my new organization"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"name":"My New Organization","description":"Description of my new organization"}' \
https://api.losant.com/orgs

Successful Responses​

CodeTypeDescription
201OrganizationSuccessfully created organization

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 3 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key
          • ▶
            {} 2 keys

        Error Example​

        • ▶
          {} 2 keys
          • "NotFound"
          • "Application was not found"

        Organization​

        Schema for a single Organization

        Organization Schema​

        • ▶
          {} 3 keys
          • "http://json-schema.org/draft-07/schema#"
          • "object"
          • ▶
            {} 24 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 3 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 2 keys
                          • ▶
                            {} 2 keys
                            • ▶
                              {} 3 keys
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 2 keys
                                  • ▶
                                    {} 2 keys
                                    • ▶
                                      {} 3 keys
                                      • ▶
                                        {} 2 keys
                                        • ▶
                                          {} 2 keys
                                          • ▶
                                            {} 2 keys
                                            • ▶
                                              {} 1 key
                                              • ▶
                                                {} 2 keys
                                                • ▶
                                                  {} 2 keys
                                                  • ▶
                                                    {} 1 key
                                                    • ▶
                                                      {} 1 key
                                                      • ▶
                                                        {} 1 key
                                                        • ▶
                                                          {} 2 keys
                                                          • ▶
                                                            {} 3 keys

                                                        Organization Example​

                                                        • ▶
                                                          {} 8 keys
                                                          • "575ed6e87ae143cd83dc4aa8"
                                                          • "575ed6e87ae143cd83dc4aa8"
                                                          • "2016-06-13T04:00:00.000Z"
                                                          • "2016-06-13T04:00:00.000Z"
                                                          • "My Organization"
                                                          • "My organization description"
                                                          • ▶
                                                            [] 2 items
                                                            • ▶
                                                              {} 7 keys

                                                            Organization Post​

                                                            Schema for the body of an Organization creation request

                                                            Organization Post Schema​

                                                            • ▶
                                                              {} 5 keys
                                                              • "http://json-schema.org/draft-07/schema#"
                                                              • "object"
                                                              • ▶
                                                                {} 8 keys
                                                                • ▶
                                                                  {} 3 keys
                                                                  • ▶
                                                                    {} 2 keys
                                                                    • ▶
                                                                      {} 2 keys
                                                                      • ▶
                                                                        {} 3 keys
                                                                        • ▶
                                                                          {} 2 keys
                                                                          • ▶
                                                                            {} 2 keys
                                                                            • ▶
                                                                              {} 2 keys
                                                                              • ▶
                                                                                {} 2 keys
                                                                              • false
                                                                              • ▶
                                                                                [] 1 item

                                                                              Organization Post Example​

                                                                              • ▶
                                                                                {} 2 keys
                                                                                • "My New Organization"
                                                                                • "Description of my new organization"

                                                                              Organizations​

                                                                              Schema for a collection of Organizations

                                                                              Organizations Schema​

                                                                              • ▶
                                                                                {} 3 keys
                                                                                • "http://json-schema.org/draft-07/schema#"
                                                                                • "object"
                                                                                • ▶
                                                                                  {} 9 keys
                                                                                  • ▶
                                                                                    {} 2 keys
                                                                                    • ▶
                                                                                      {} 1 key
                                                                                      • ▶
                                                                                        {} 1 key
                                                                                        • ▶
                                                                                          {} 1 key
                                                                                          • ▶
                                                                                            {} 1 key
                                                                                            • ▶
                                                                                              {} 1 key
                                                                                              • ▶
                                                                                                {} 1 key
                                                                                                • ▶
                                                                                                  {} 1 key
                                                                                                  • ▶
                                                                                                    {} 2 keys

                                                                                                Organizations Example​

                                                                                                • ▶
                                                                                                  {} 7 keys
                                                                                                  • ▶
                                                                                                    [] 1 item
                                                                                                    • 1
                                                                                                    • 2
                                                                                                    • 1
                                                                                                    • 0
                                                                                                    • "name"
                                                                                                    • "asc"

                                                                                                  Was this page helpful?


                                                                                                  Still looking for help? You can also search the Losant Forums or submit your question there.